Customer account
Update customer profile
Updates the authenticated customer’s profile (e.g. the linked
fluid_pay_account). Requires a customer bearer token. Returns 401 when
unauthenticated and 422 on validation failure.
PATCH
/
api
/
checkout
/
v2026-04
/
customers
/
me
Update customer profile
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fluid_pay_account": {
"first_name": "Holly",
"last_name": "Flax",
"phone": "+15705550142",
"language_iso": "en"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me"
payload = { "fluid_pay_account": {
"first_name": "Holly",
"last_name": "Flax",
"phone": "+15705550142",
"language_iso": "en"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fluid_pay_account: {
first_name: 'Holly',
last_name: 'Flax',
phone: '+15705550142',
language_iso: 'en'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fluid_pay_account' => [
'first_name' => 'Holly',
'last_name' => 'Flax',
'phone' => '+15705550142',
'language_iso' => 'en'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me"
payload := strings.NewReader("{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/checkout/v2026-04/customers/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"created_at": "2026-09-03T17:21:08Z",
"default_address": null,
"default_payment_method": null,
"email": "holly.flax@gmail.com",
"first_name": "Holly",
"id": 190334,
"language": null,
"last_name": "Flax",
"phone": "+15705550142",
"settings": {},
"slug": "a7c3e9f1-2b5d-4f8a-9e16-4d0b7c2a5e83",
"updated_at": "2026-09-14T15:34:27Z"
},
"meta": {
"request_id": "5c9a3e7b-2d1f-4b6e-a8d4-1f7c0b3e9a62",
"timestamp": "2026-09-14T15:34:27Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}⌘I
Update customer profile
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fluid_pay_account": {
"first_name": "Holly",
"last_name": "Flax",
"phone": "+15705550142",
"language_iso": "en"
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me"
payload = { "fluid_pay_account": {
"first_name": "Holly",
"last_name": "Flax",
"phone": "+15705550142",
"language_iso": "en"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fluid_pay_account: {
first_name: 'Holly',
last_name: 'Flax',
phone: '+15705550142',
language_iso: 'en'
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'fluid_pay_account' => [
'first_name' => 'Holly',
'last_name' => 'Flax',
'phone' => '+15705550142',
'language_iso' => 'en'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me"
payload := strings.NewReader("{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.fluid.app/api/checkout/v2026-04/customers/me")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"fluid_pay_account\": {\n \"first_name\": \"Holly\",\n \"last_name\": \"Flax\",\n \"phone\": \"+15705550142\",\n \"language_iso\": \"en\"\n }\n}"
response = http.request(request)
puts response.read_body{
"fluid_pay_account": {
"created_at": "2026-09-03T17:21:08Z",
"default_address": null,
"default_payment_method": null,
"email": "holly.flax@gmail.com",
"first_name": "Holly",
"id": 190334,
"language": null,
"last_name": "Flax",
"phone": "+15705550142",
"settings": {},
"slug": "a7c3e9f1-2b5d-4f8a-9e16-4d0b7c2a5e83",
"updated_at": "2026-09-14T15:34:27Z"
},
"meta": {
"request_id": "5c9a3e7b-2d1f-4b6e-a8d4-1f7c0b3e9a62",
"timestamp": "2026-09-14T15:34:27Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}